package pi7;

import java.util.List;

public class Controller {
    private IHM ihm = null;
    private GerenciadorProgramas gerenciadorProgramas = null;
    public void carregarArquivo(String filename) {
        try {
            gerenciadorProgramas.loadProgram(filename);
            List<String> programa = gerenciadorProgramas.obterListagem();
            ihm.exibirPrograma(programa);
        } catch (Exception e) {
            ihm.limparExibicaoPrograma();
            ihm.exibirErro(e.getMessage()); //Correto seria passar somente o codigo
                                          //do erro
        }
    } // carregarArquivo
    
    public void setIHM(IHM ihm) {
        this.ihm = ihm;
    } //setIHM
    
    public void setGerenciadorProgramas (GerenciadorProgramas gp) {
        gerenciadorProgramas = gp;
    } //setGerenciadorProgramas
} //Controller
